## MacPorts-2.0.0-beta2.tar.gz

=== tests/test/envvariables/Makefile ===
include ../../../Mk/macports.autoconf.mk

.PHONY: test

$(bindir)/port:
	@echo "Please install MacPorts before running this test"
	@exit 1

test:
	@PORTSRC=$(PORTSRC) $(bindir)/port clean > /dev/null
	@sh -c "export ENVA=A ; export ENVB=B; \
		export PORTSRC=$(PORTSRC); $(bindir)/port test" > output 2>&1 || (cat output; exit 1)
	@diff -u master output 2>&1 | tee difference
	@if [ -s difference ]; then \
		exit 1; \
	else \
		rm -f difference; \
	fi

=== tests/test/checksums-1/Portfile ===
# $Id: Portfile 23699 2007-04-07 02:09:22Z pguyot@kallisys.net $

PortSystem 1.0
name		checksum
version		1
categories	test
maintainers	opendarwin.org@darkart.com
description	Test port for checksum functionalities
homepage	http://www.macports.org/
platforms	darwin

long_description ${description}

master_sites	file:///dev/null

fetch {
	system "mkdir -p $distpath"
	system "cat /dev/null > $distpath/$distname.tar.gz"
}

checksums \
	md5 d41d8cd98f00b204e9800998ecf8427e \
	sha1 da39a3ee5e6b4b0d3255bfef95601890afd80709 \
	rmd160 9c1185a5c5e9fc54612808977ee8f548b2258d31

extract		{}
configure	{}
build		{}
destroot	{
	system "touch ${destroot}${prefix}/lib/${name}"
}

test {
	# test is actually running checksum target
}

=== tests/test/dependencies-a/Portfile ===
# $Id: Portfile 79489 2011-06-15 20:31:28Z jmr@macports.org $

PortSystem 1.0
name		dependencies-a
version		1
categories	test
maintainers	pguyot@kallisys.net
description	Test port for dependencies
homepage	http://www.macports.org/
platforms	darwin

long_description ${description}

distfiles
use_configure no
build		{}
destroot	{
	system "touch ${destroot}${prefix}/lib/${name}"
}

default_variants	+i_want_b

variant i_want_b {
	depends_lib-append	port:dependencies-b
}

test {
# testing consists in processing dependencies
}

=== tests/test/universal/Portfile ===
# $Id: Portfile 79489 2011-06-15 20:31:28Z jmr@macports.org $

PortSystem 1.0
name		universal
version		1
categories	test
maintainers	pguyot@kallisys.net
description	Test port for universal variant
homepage	http://www.macports.org/
platforms	darwin

long_description ${description}

distfiles
configure	{}
build		{}
destroot	{
	system "touch ${destroot}${prefix}/lib/${name}"
}

test		{}

default_variants +universal
